Bug 1567184 - Rebase dconf to 0.28.0
Summary: Rebase dconf to 0.28.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dconf
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Marek Kašík
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1567133 1649404
TreeView+ depends on / blocked
 
Reported: 2018-04-13 14:10 UTC by Matthias Clasen
Modified: 2018-11-13 15:03 UTC (History)
3 users (show)

Fixed In Version: dconf-0.28.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:22:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3140 0 None None None 2018-10-30 10:22:51 UTC

Description Matthias Clasen 2018-04-13 14:10:30 UTC
As part of the desktop rebase in 7.6, we need to rebase dconf to the version that is shipped with GNOME 3.28.

Comment 2 Kalev Lember 2018-05-07 13:55:28 UTC
Rebase branch: http://pkgs.devel.redhat.com/cgit/rpms/dconf/log/?h=private-rhel-7.6-rebase

Marek, can you look over the downstream patches please and push fixes to the branch if necessary? I dropped one patch and kept the other, not sure if it's correct. Would also be great to get dconf-0.26.0-permissions.patch upstream.

Comment 3 Marek Kašík 2018-05-23 16:35:41 UTC
Hi Kalev,

thank you for the rebase. I've looked at the branch and added back the dconf-dbus-1 library because of ABI compatibility.
However there is still one difference between 7.5 version and the new one, soname. The 7.5 version does not have soname for libdconfsettings.so where the new one does. I've tested it locally and gsettings worked so I hope that it won't be an issue.

Btw, I've tried to get the dconf-0.26.0-permissions.patch upstream but it was not accepted yet: https://bugzilla.gnome.org/show_bug.cgi?id=758066.

Comment 4 Kalev Lember 2018-05-23 16:44:28 UTC
Great, thanks! I've built it in https://copr.devel.redhat.com/coprs/klember/rhel-7-gnome-3-28/builds/ as well now. Feel free to request access in the copr if you want to try building anything else off the private-rhel-7.6-rebase branches.

Comment 5 masanari iida 2018-05-24 08:23:31 UTC
> Btw, I've tried to get the dconf-0.26.0-permissions.patch upstream 
> but it was not accepted yet: https://bugzilla.gnome.org/show_bug.cgi?id=758066.

Are you talking about a symptom which is reported in following KB?

https://access.redhat.com/solutions/3381781
Error message "unable to create file '/run/user/0/dconf/user': Permission denied" recurring in the /var/log/messages file

Comment 6 Marek Kašík 2018-05-24 09:12:31 UTC
(In reply to masanari iida from comment #5)
> > Btw, I've tried to get the dconf-0.26.0-permissions.patch upstream 
> > but it was not accepted yet: https://bugzilla.gnome.org/show_bug.cgi?id=758066.
> 
> Are you talking about a symptom which is reported in following KB?
> 
> https://access.redhat.com/solutions/3381781
> Error message "unable to create file '/run/user/0/dconf/user': Permission
> denied" recurring in the /var/log/messages file

The patch is for a different issue.

Comment 10 errata-xmlrpc 2018-10-30 10:22:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3140


Note You need to log in before you can comment on or make changes to this bug.